Package org.eclipse.net4j.util.ui.actions

# Class SashLayoutAction.LayoutMenu

java.lang.Object
org.eclipse.jface.action.ContributionManager
org.eclipse.jface.action.MenuManager
org.eclipse.net4j.util.ui.actions.SashLayoutAction.LayoutMenu

All Implemented Interfaces:
  `IContributionItem`, `IContributionManager`, `IMenuManager`

Enclosing class:
  `SashLayoutAction`

public static class SashLayoutAction.LayoutMenu extends MenuManager

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.jface.action.MenuManager

`MANAGER_KEY, visible`

## Constructor Summary

Constructors
Constructor
Description
`LayoutMenu(SashComposite sashComposite)`

## Method Summary

Modifier and Type
Method
Description
`SafeAction`
`getHorizontalAction()`
`SafeAction`
`getVerticalAction()`

### Methods inherited from class org.eclipse.jface.action.MenuManager

`addMenuListener, createContextMenu, createMenuBar, createMenuBar, dispose, doItemFill, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuItem, getMenuItemCount, getMenuItems, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, menuExist, removeMenuListener, saveWidgetState, setActionDefinitionId, setImageDescriptor, setMenuText, setOverrides, setParent, setRemoveAllWhenShown, setVisible, toString, update, update, update, update, updateAll`

### Methods inherited from class org.eclipse.jface.action.ContributionManager

`add, add, allowItem, appendToGroup, appendToGroup, dumpStatistics, find, getItems, getSize, hasDynamicItems, indexOf, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, internalSetItems, isDirty, isEmpty, itemAdded, itemRemoved, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem, setDirty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionItem

`isDirty`

### Methods inherited from interface org.eclipse.jface.action.IContributionManager

`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

## Constructor Details

### LayoutMenu

public LayoutMenu(SashComposite sashComposite)

## Method Details

### getVerticalAction

public SafeAction getVerticalAction()

### getHorizontalAction

public SafeAction getHorizontalAction()